| Elektra 0.11.0

Functions
keytest.c File Reference

Methods for making tests. More...

`#include "kdb.h"`
`#include "kdbinternal.h"`
`#include "kdbprivate.h"`

## Functions
int | keyIsBelow (const Key *key, const Key *check)
| Check if the Key `check` is below the Key `key` or not.
int | keyIsBelowOrSame (const Key *key, const Key *check)
| Check if a key is below or same.
int | keyIsDirectlyBelow (const Key *key, const Key *check)
| Check whether the Key `check` is directly below the Key `key`.
int | keyIsBinary (const Key *key)
| Check if the value of a `key` is of binary type.
int | keyIsString (const Key *key)
| Check if the value of `key` is of string type.

## Detailed Description

Methods for making tests.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)

## Function Documentation

## ◆ keyIsBelowOrSame()

int keyIsBelowOrSame | ( | const Key * | key,
|  | const Key * | check
| ) |  |

Check if a key is below or same.

Parameters

  key | the key object to work with

See also
  keyIsBelow()